Bug 53276 - The -test patch patches the wrong file
The -test patch patches the wrong file
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: libtool (Show other bugs)
7.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 19:47 EDT by SL Baur
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 23:03:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a fixed version of libtool-1.4-test.patch (13.24 KB, patch)
2001-09-05 19:48 EDT, SL Baur
no flags Details | Diff

  None (edit)
Description SL Baur 2001-09-05 19:47:23 EDT
Description of Problem:
The -test patch patches a generated file that is deleted during building

Version-Release number of selected component (if applicable):
1.4-8

How Reproducible:
Use a real /bin/sh.  Those quotes are required for portability.
I've attached a corrected patch.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 SL Baur 2001-09-05 19:48:22 EDT
Created attachment 31014 [details]
This is a fixed version of libtool-1.4-test.patch
Comment 2 Jakub Jelinek 2001-09-06 13:40:25 EDT
Florian, is it ok if I pass this to you?
Comment 3 Jens Petersen 2001-12-03 04:47:07 EST
Thanks for reporting this. Will be fixed in rawhide in next rpm package release.
Comment 4 Jens Petersen 2001-12-10 02:54:53 EST
Fixed in libtool-1.4.2-3.

Note You need to log in before you can comment on or make changes to this bug.